> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Number Detail from Carrier

> Fetch number details from Inteliquent including registered CNAM



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/phone-numbers/number-detail/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/phone-numbers/number-detail/{id}:
    get:
      tags:
        - Phone Numbers
      summary: Get Number Detail from Carrier
      description: Fetch number details from Inteliquent including registered CNAM
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Phone number ID
      responses:
        '200':
          description: Carrier number details
          content:
            application/json:
              schema:
                type: object
                properties:
                  registeredCNAM:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Registered caller ID name
                  inService:
                    type: boolean
                    description: Whether number is in service
                  isTollFree:
                    type: boolean
                    description: Whether number is toll-free
                  registeredSMS:
                    type: boolean
                    description: Whether SMS is provisioned
                required:
                  - registeredCNAM
                  - inService
                  - isTollFree
                  - registeredSMS
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````